DdemlUtil.AdvreqHandler (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, class: DdemlUtil, interface: AdvreqHandler

Package com.sun.jna.platform.win32

# Interface DdemlUtil.AdvreqHandler

Enclosing class:
  DdemlUtil

public static interface DdemlUtil.AdvreqHandler

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Ddeml.HDDEDATA`
  `onAdvreq(int transactionType, int dataFormat, Ddeml.HCONV hconv, Ddeml.HSZ topic, Ddeml.HSZ item, int count)`
  The XTYP_ADVREQ transaction informs the server that an advise transaction is outstanding on the specified topic name and item name pair and that data corresponding to the topic name and item name pair has changed.

- ## Method Details

  - ### onAdvreq

    Ddeml.HDDEDATA onAdvreq(int transactionType, int dataFormat, Ddeml.HCONV hconv, Ddeml.HSZ topic, Ddeml.HSZ item, int count)
    The XTYP_ADVREQ transaction informs the server that an advise transaction is outstanding on the specified topic name and item name pair and that data corresponding to the topic name and item name pair has changed. The system sends this transaction to the Dynamic Data Exchange (DDE) callback function, DdeCallback, after the server calls the DdePostAdvise function.
    Parameters:
      `transactionType` - uType - The transaction type.
      `dataFormat` - uFmt - The format in which the data should be submitted to the client.
      `hconv` - A handle to the conversation.
      `topic` - hsz1 - A handle to the topic name.
      `item` - hsz2 - A handle to the item name that has changed.
      `count` - The count of XTYP_ADVREQ transactions that remain to be processed on the same topic, item, and format name set within the context of the current call to the DdePostAdvise function. The count is zero if the current XTYP_ADVREQ transaction is the last one. A server can use this count to determine whether to create an HDATA_APPOWNED data handle to the advise data.

      This is set to CADV_LATEACK if the DDEML issued the XTYP_ADVREQ transaction because of a late-arriving DDE_ACK message from a client being outrun by the server.

    Returns:
      Data for the changed item or NULL if transaction can't be completed.